import { renderless, api } from "@xmweb-ui/vue-renderless/dialog-select/vue";
import { defineComponent, props, setup as _setup } from "@xmweb-ui/vue-common";
import DialogBox from "@xmweb-ui/vue-dialog-box";
import Button from "@xmweb-ui/vue-button";
import Pager from "@xmweb-ui/vue-pager";
import Grid from "@xmweb-ui/vue-grid";
import Split from "@xmweb-ui/vue-split";
import SelectedBox from "@xmweb-ui/vue-selected-box";
import Input from "@xmweb-ui/vue-input";
import Tree from "@xmweb-ui/vue-tree";
import "@xmweb-ui/vue-theme/dialog-select/index.css";
function normalizeComponent(scriptExports, render, staticRenderFns, functionalTemplate, injectStyles, scopeId, moduleIdentifier, shadowMode) {
  var options = typeof scriptExports === "function" ? scriptExports.options : scriptExports;
  if (render) {
    options.render = render;
    options.staticRenderFns = staticRenderFns;
    options._compiled = true;
  }
  if (functionalTemplate) {
    options.functional = true;
  }
  if (scopeId) {
    options._scopeId = "data-v-" + scopeId;
  }
  var hook;
  if (moduleIdentifier) {
    hook = function hook2(context) {
      context = context || // cached call
      this.$vnode && this.$vnode.ssrContext || // stateful
      this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext;
      if (!context && typeof __VUE_SSR_CONTEXT__ !== "undefined") {
        context = __VUE_SSR_CONTEXT__;
      }
      if (injectStyles) {
        injectStyles.call(this, context);
      }
      if (context && context._registeredComponents) {
        context._registeredComponents.add(moduleIdentifier);
      }
    };
    options._ssrRegister = hook;
  } else if (injectStyles) {
    hook = shadowMode ? function() {
      injectStyles.call(this, (options.functional ? this.parent : this).$root.$options.shadowRoot);
    } : injectStyles;
  }
  if (hook) {
    if (options.functional) {
      options._injectStyles = hook;
      var originalRender = options.render;
      options.render = function renderWithStyleInjection(h, context) {
        hook.call(context);
        return originalRender(h, context);
      };
    } else {
      var existing = options.beforeCreate;
      options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
    }
  }
  return {
    exports: scriptExports,
    options
  };
}

var __vue2_script = defineComponent({
  emits: ["open", "close", "opened", "closed", "drag-start", "drag-end", "drag-move", "update:visible", "size-change", "current-change", "prev-click", "next-click", "before-page-change", "change"],
  props: [].concat(props, ["dialogOp", "visible", "popseletor", "multi", "gridOp", "textField", "textSplit", "valueField", "valueSplit", "remoteSearch", "showPager", "pagerOp", "showSelectedBox", "selectedBoxOp", "treeOp", "beforeClose", "autoLookup", "lookupMethod", "mainHeight"]),
  components: {
    XmDialogBox: DialogBox,
    XmButton: Button,
    XmPager: Pager,
    XmGrid: Grid,
    XmSplit: Split,
    XmSelectedBox: SelectedBox,
    XmInput: Input,
    XmTree: Tree
  },
  setup: function setup(props2, context) {
    return _setup({
      props: props2,
      context,
      renderless,
      api
    });
  }
});
var render = function render2() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c("xm-dialog-box", _vm._b({
    class: ["xm-dialog-select", {
      "radio-check": !_vm.multi
    }],
    attrs: {
      "visible": _vm.visible,
      "modal": "",
      "draggable": "",
      "append-to-body": "",
      "modal-append-to-body": "",
      "close-on-press-escape": false,
      "close-on-click-modal": false
    },
    on: {
      "update:visible": function updateVisible($event) {
        return _vm.$emit("update:visible", $event);
      },
      "open": function open($event) {
        return _vm.$emit("open", $event);
      },
      "close": function close($event) {
        return _vm.$emit("close", $event);
      },
      "opened": function opened($event) {
        return _vm.$emit("opened", $event);
      },
      "closed": function closed($event) {
        return _vm.$emit("closed", $event);
      },
      "drag-start": function dragStart($event) {
        return _vm.$emit("drag-start", $event);
      },
      "drag-end": function dragEnd($event) {
        return _vm.$emit("drag-end", $event);
      },
      "drag-move": function dragMove($event) {
        return _vm.$emit("drag-move", $event);
      }
    },
    scopedSlots: _vm._u([_vm.slots.title ? {
      key: "title",
      fn: function fn(params) {
        return [_vm._t("title", null, null, params)];
      }
    } : null, !_vm.slots.footer ? {
      key: "footer",
      fn: function fn() {
        return [_c("div", {
          staticClass: "xm-dialog-select__footer"
        }, [_c("div", {
          staticClass: "xm-dialog-select__footer-pager"
        }, [_vm.popseletor === "grid" && _vm.showPager ? _c("xm-pager", _vm._b({
          ref: "pager",
          attrs: {
            "pager-count": 7
          },
          on: {
            "size-change": function sizeChange($event) {
              return _vm.$emit("size-change", $event);
            },
            "current-change": function currentChange($event) {
              return _vm.$emit("current-change", $event);
            },
            "prev-click": function prevClick($event) {
              return _vm.$emit("prev-click", $event);
            },
            "next-click": function nextClick($event) {
              return _vm.$emit("next-click", $event);
            },
            "before-page-change": function beforePageChange($event) {
              return _vm.$emit("before-page-change", $event);
            }
          }
        }, "xm-pager", _vm.pagerOp, false)) : _vm._e()], 1), _c("div", {
          staticClass: "xm-dialog-select__footer-buttons"
        }, [_c("xm-button", {
          on: {
            "click": _vm.onFooterCancel
          }
        }, [_vm._v(_vm._s(_vm.t("ui.button.cancel")))]), _c("xm-button", {
          attrs: {
            "type": "primary"
          },
          on: {
            "click": _vm.onFooterConfirm
          }
        }, [_vm._v(_vm._s(_vm.t("ui.button.confirm")))])], 1)])];
      },
      proxy: true
    } : null], null, true)
  }, "xm-dialog-box", _vm.dialogOp, false), [_c("div", {
    staticClass: "xm-dialog-select__body"
  }, [_vm.popseletor === "grid" && _vm.slots.search ? _c("div", {
    staticClass: "xm-dialog-select__body-search"
  }, [_vm._t("search")], 2) : _vm._e(), _c("div", {
    staticClass: "xm-dialog-select__body-selector"
  }, [_c("xm-split", {
    style: "height:" + _vm.mainHeight + "px",
    attrs: {
      "trigger-simple": "",
      "disabled": !_vm.multi
    },
    scopedSlots: _vm._u([{
      key: "left",
      fn: function fn() {
        return [_vm.popseletor === "grid" ? _c("div", {
          staticClass: "xm-dialog-select__body-grid",
          style: "height:" + _vm.mainHeight + "px"
        }, [_vm.visible || _vm.state.multiGridStore.inited ? _c("xm-grid", _vm._b({
          ref: "multiGrid",
          attrs: {
            "border": "",
            "stripe": false,
            "size": "small",
            "auto-resize": "",
            "height": _vm.mainHeight + "px",
            "loading": _vm.state.multiGridStore.loading,
            "row-id": _vm.valueField,
            "columns": _vm.state.gridColumns,
            "select-config": _vm.state.multiGridStore.selectConfig,
            "radio-config": _vm.state.multiGridStore.radioConfig
          },
          on: {
            "select-all": _vm.multiGridSelectAll,
            "select-change": _vm.multiGridSelectChange,
            "radio-change": _vm.multiGridRadioChange
          }
        }, "xm-grid", _vm.gridOp, false)) : _vm._e()], 1) : _vm._e(), _vm.popseletor === "tree" ? _c("div", {
          staticClass: "xm-dialog-select__body-tree",
          style: "height:" + _vm.mainHeight + "px"
        }, [_c("xm-input", {
          attrs: {
            "placeholder": _vm.t("ui.dialogSelect.treeSearch"),
            "clearable": ""
          },
          on: {
            "change": _vm.doMultiTreeFilter
          },
          model: {
            value: _vm.state.multiTreeStore.filterText,
            callback: function callback($$v) {
              _vm.$set(_vm.state.multiTreeStore, "filterText", $$v);
            },
            expression: "state.multiTreeStore.filterText"
          }
        }), _c("div", {
          staticClass: "xm-dialog-select__body-tree-wrapper",
          staticStyle: {
            "height": "calc(100% - 28px)"
          }
        }, [_vm.visible || _vm.state.multiTreeStore.inited ? _c("xm-tree", _vm._b({
          ref: "multiTree",
          attrs: {
            "show-checkbox": _vm.multi,
            "show-radio": !_vm.multi,
            "lazy-current": "",
            "lazy": "",
            "after-load": _vm.multiTreeAfterLoad,
            "view-type": _vm.state.multiTreeStore.viewType,
            "default-expanded-keys": _vm.state.multiTreeStore.expandedKeys,
            "default-expanded-keys-highlight": _vm.state.multiTreeStore.highlight,
            "filter-node-method": _vm.multiTreeFilterNode,
            "filter-plain-method": _vm.multiTreeFilterPlain,
            "default-checked-keys": _vm.state.multiTreeStore.checkedKeys
          },
          on: {
            "leave-plain-view": _vm.multiTreeLeavePlain,
            "check": _vm.multiTreeCheck,
            "node-expand": _vm.multiTreeCheck,
            "node-collapse": _vm.multiTreeCheck,
            "check-plain": _vm.multiTreeCheck,
            "check-change": _vm.multiTreeRadio
          }
        }, "xm-tree", _vm.treeOp, false)) : _vm._e()], 1)], 1) : _vm._e()];
      },
      proxy: true
    }, {
      key: "right",
      fn: function fn() {
        return [_vm.multi ? _c("div", {
          staticClass: "xm-dialog-select__body-box",
          style: "height:" + _vm.mainHeight + "px"
        }, [_vm.showSelectedBox ? _c("xm-selected-box", _vm._b({
          ref: "selectedBox",
          attrs: {
            "select": _vm.state.selectedDatas
          },
          on: {
            "clear": _vm.selectedBoxClear,
            "delete": _vm.selectedBoxDelete,
            "drag": _vm.selectedBoxDrag
          },
          scopedSlots: _vm._u([_vm.slots.select ? {
            key: "select",
            fn: function fn2(params) {
              return [_vm._t("select", null, null, params)];
            }
          } : null, _vm.slots.button ? {
            key: "button",
            fn: function fn2(params) {
              return [_vm._t("button", null, null, params)];
            }
          } : null, _vm.slots.clear ? {
            key: "clear",
            fn: function fn2(params) {
              return [_vm._t("clear", null, null, params)];
            }
          } : null, _vm.slots.option ? {
            key: "option",
            fn: function fn2(params) {
              return [_vm._t("option", null, null, params)];
            }
          } : null, _vm.slots.close ? {
            key: "close",
            fn: function fn2(params) {
              return [_vm._t("close", null, null, params)];
            }
          } : null], null, true)
        }, "xm-selected-box", _vm.selectedBoxOp, false)) : _vm._e()], 1) : _vm._e()];
      },
      proxy: true
    }]),
    model: {
      value: _vm.state.splitValue,
      callback: function callback($$v) {
        _vm.$set(_vm.state, "splitValue", $$v);
      },
      expression: "state.splitValue"
    }
  })], 1)])]);
};
var staticRenderFns = [];
var __cssModules = {};
var __component__ = /* @__PURE__ */ normalizeComponent(__vue2_script, render, staticRenderFns, false, __vue2_injectStyles, null, null, null);
function __vue2_injectStyles(context) {
  for (var o in __cssModules) {
    this[o] = __cssModules[o];
  }
}
var pc = /* @__PURE__ */ function() {
  return __component__.exports;
}();
export {
  pc as default
};
